For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieves Customer Information by Tax Number

Müşteri bilgisini getirir.

get
Authorizations
HTTPRequired

API anahtar� giriniz

Path parameters
TaxNumberstringRequired
Responses
200

Müşteri bilgisini getirir.

application/json
IDinteger · int32Optional
TaxNumberstring · nullableOptional
Namestring · nullableOptional
TaxDepartmentstring · nullableOptional
Addressstring · nullableOptional
Countrystring · nullableOptional
Citystring · nullableOptional
Districtstring · nullableOptional
PostalCodestring · nullableOptional
Phonestring · nullableOptional
Faxstring · nullableOptional
Emailstring · nullableOptional
WebSitestring · nullableOptional
IsExportbooleanOptional
get/Customers/GetCustomerInfo/{TaxNumber}
GET /general/Customers/GetCustomerInfo/{TaxNumber} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ID": 1,
  "TaxNumber": "text",
  "Name": "text",
  "TaxDepartment": "text",
  "Address": "text",
  "Country": "text",
  "City": "text",
  "District": "text",
  "PostalCode": "text",
  "Phone": "text",
  "Fax": "text",
  "Email": "text",
  "WebSite": "text",
  "IsExport": true
}
var options = new RestClientOptions("/general/Customers/GetCustomerInfo/{TaxNumber}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Delete);
request.AddHeader("Authorization", "APIKEY");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '/general/Customers/GetCustomerInfo/{TaxNumber}',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'DELETE',
  CURLOPT_HTTPHEADER => array(
    'Authorization: APIKEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated